Bitcoin Annualized Transaction Volume

Annualized Bitcoin transaction volume in BTC, sats, and USD

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/annualized-transaction-volume/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

3 metrics
Metric

Annualized Volume BTC

Data used by the Bitcoin Annualized Transaction Volume chart.

Endpoint
https://newhedge.io/api/v2/metrics/annualized-transaction-volume/annualized_volume_btc?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    277664610.213255
  ],
  [
    1786838400000,
    277932116.9811694
  ],
  [
    1786924800000,
    278526845.3212107
  ]
]
Metric

Annualized Volume

Data used by the Bitcoin Annualized Transaction Volume chart.

Endpoint
https://newhedge.io/api/v2/metrics/annualized-transaction-volume/annualized_volume?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    27766461021325496.0
  ],
  [
    1786838400000,
    27793211698116940.0
  ],
  [
    1786924800000,
    27852684532121068.0
  ]
]
Metric

Annualized Volume USD

Data used by the Bitcoin Annualized Transaction Volume chart.

Endpoint
https://newhedge.io/api/v2/metrics/annualized-transaction-volume/annualized_volume_usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    23160227248356.86
  ],
  [
    1786838400000,
    23153844505011.53
  ],
  [
    1786924800000,
    23168684629974.49
  ]
]